Opened 9 months ago

Closed 8 months ago

#12632 closed Bug report (rejected)

File uploaded to less full long path directory

Reported by: quantizer Owned by:
Priority: low Component: FileZilla Client
Keywords: Cc:
Component version: 3.57 nightlies Operating system type: Windows
Operating system version: 11 x64

Description (last modified by quantizer)

In windows 11, I have enabled Windows's Long Path and having a LONG PATH enabled ftp server, when using FileZilla Client, somehow the file is not uploaded into intended long path dir, the maximum length of the dir that i can upload a file into is around below 1.024 characters.

So for example I am uploading a file into a dir in the ftp server which having length of 1.822 characters, filezilla client will cut off the directory and will uploaded it into below 1.024 characters length directory, instead of in the 1.822 character length directory.

How to overcome the 1.024 character length directory into 32.767 character length (https://docs.microsoft.com/en-us/windows/win32/fileio/maximum-file-path-limitation?tabs=cmd), 32.767 is the new maximum total characters path length .

Attachments (1)

filezilla.log (119.1 KB ) - added by quantizer 8 months ago.
filezilla.log

Download all attachments as: .zip

Change History (7)

comment:1 by quantizer, 9 months ago

Description: modified (diff)

comment:2 by quantizer, 9 months ago

Description: modified (diff)

comment:3 by quantizer, 9 months ago

Summary: File uploaded to less full path directoryFile uploaded to less full long path directory

comment:4 by Tim Kosse, 9 months ago

Priority: blockerlow

by quantizer, 8 months ago

Attachment: filezilla.log added

filezilla.log

comment:5 by quantizer, 8 months ago

Example log from filezilla nightly attached above.

the filezilla.log file should be transferred into "12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678'" folder.

instead because of total path length is more than 1024, it cut off and transferred into folder "12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.01234'".

I have tried to undef MAX_PATH and replace it with :

#ifdef MAX_PATH
#undef MAX_PATH
#define MAX_PATH 32767
#endif

And adding the following executable manifest into filezilla.exe

<?xml version='1.0' encoding='utf-8' standalone='yes'?>
<assembly xmlns="urn:schemas-microsoft-com:asm.v1" manifestVersion="1.0">
  <application xmlns="urn:schemas-microsoft-com:asm.v3">
    <windowsSettings>
      <longPathAware xmlns="http://schemas.microsoft.com/SMI/2016/WindowsSettings">true</longPathAware>
	  <activeCodePage xmlns="http://schemas.microsoft.com/SMI/2019/WindowsSettings">UTF-8</activeCodePage>
    </windowsSettings>
  </application>
</assembly>

But no luck, only able to create longer folder path but cannot upload files into folder which has length longer than 1024.

Ping @Tim Kosse, please kindly give me direction

Last edited 8 months ago by quantizer (previous) (diff)

comment:6 by Tim Kosse, 8 months ago

Resolution: rejected
Status: newclosed

2022-01-19 05:20:26 16768 2 Command: CWD /12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678
2022-01-19 05:20:26 16768 2 Response: 250 CWD command successful.
2022-01-19 05:20:26 16768 2 Command: PWD
2022-01-19 05:20:26 16768 2 Response: 257 "/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.01234" is current directory.

This clearly is a server-side issue. As you can see from the log, it maps "/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678" to "/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.012345.012345.01234.012345.0123456.0.1.012345678/12345678901.01.012345.01.012.01234567.0123456789.01234.0123456.01234.01234".

You need to contact your server administrator or server hosting provider for further assistance.

Note: See TracTickets for help on using tickets.